Get all interactions replica

get

/api/boss/data/objects/ora/cxServiceCore/interaction/v1/$en/interactions/$views/interactionsReplica

Interactions track the communications associated with an object such as Account or Contact.

Request

Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
  • Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • The resource collection will be queried using the specified filter condition.
  • Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
  • Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
    Default Value: 25
  • Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
    Default Value: 0
  • Orders a resource collection based on the specified fields. The parameter value is a comma-separated string of field names, each optionally followed by a colon and "asc" (default) or "desc".

There's no request body for this operation.

Back to Top

Response

Default Response

Successful response of retrieving view interactionsReplica for resource Interactions
Body ()
Root Schema : interactions_view-interactionsReplica
Match All
Interactions track the communications associated with an object such as Account or Contact.
Show Source
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : interactions_view-interactionsReplica-allOf[1]
Type: object
Interactions track the communications associated with an object such as Account or Contact.
Show Source
Nested Schema : totalItems
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : items-allOf[0]
Match All
Show Source
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : items-allOf[0]-allOf[1]
Type: object
Show Source
Nested Schema : items-allOf[1]
Type: object
Nested Schema : $context
Type: object
Show Source
Nested Schema : appClassification
Match All
Show Source
Nested Schema : channel
Match All
Show Source
Nested Schema : directionCode
Match All
The list of values for the direction of the interaction, either inbound or outbound.
Show Source
  • Title: Direction
    Default Value: ORA_SVC_INBOUND
    The list of values for the direction of the interaction, either inbound or outbound.
  • Allowed Values: [ "ORA_SVC_INBOUND", "ORA_SVC_OUTBOUND" ]
Nested Schema : parentInteraction
Match All
Show Source
Nested Schema : source
Match All
Show Source
Nested Schema : status
Match All
Show Source
Nested Schema : stripeCode
Match All
The application stripe of the interaction.
Show Source
  • Title: Stripe Code
    Default Value: ORA_SVC_CRM
    The application stripe of the interaction.
  • Allowed Values: [ "ORA_SVC_CRM", "ORA_SVC_HRHD", "ORA_SVC_ISR" ]
Nested Schema : subStatus
Match All
Show Source
Nested Schema : appClassification-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Nested Schema : channel-allOf[1]
Type: object
Show Source
Nested Schema : parentInteraction-allOf[1]
Type: object
Show Source
Nested Schema : source-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Nested Schema : status-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Nested Schema : subStatus-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Back to Top